AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

eNaira

Accept a payment from an eNaira wallet.
We recommend you read the method overview before you proceed.

Last updated 13 September 2026

Accept a payment from an eNaira wallet. Read the method overview before you proceed.

post

https://api.flutterwave.com/v3/charges?type=enaira

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount string required
This is the amount to be charged for the transaction.

email string required
The customer's email address.

tx_ref string required
This is a unique reference peculiar to the transaction being carried out.

currency string
This is the specified currency to charge in. Expected value is NGN.

phone_number string
This is the phone number linked to the customer's bank account or mobile money account

fullname string
The customer's full name.

client_ip string
This represents the current IP address of the customer carrying out the transaction.

device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used.

meta object
This is used to include additional payment information.

FILL IN ALL REQUIRED FIELDS

flightID string
This could be the extra information you want to pass

sideNote string
This could be any message you'd like to associate with this call

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

tx_ref string

flw_ref string

device_fingerprint string

amount integer

charged_amount integer

app_fee number

merchant_fee integer

processor_response string

auth_model string

currency string

ip string

narration string

status string

payment_type string

fraud_status string

charge_type string

created_at string

account_id integer

customer object

FILL IN ALL REQUIRED FIELDS

id integer

phone_number string

name string

email string

created_at string

meta object

FILL IN ALL REQUIRED FIELDS

authorization object

FILL IN ALL REQUIRED FIELDS

mode string

redirect string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys